services:
  iam-zen:
    container_name: iam-zen_iam-zen
    build:
      context: ../app
      dockerfile: ../docker/Dockerfile
      args:
        NODE_ENVIRONMENT: development
        USER: root
    command:
      - yarn
      - start:dev
    volumes:
      - "../app/server/src:/var/app/server/src"
      - "../app/server/tsconfig.build.json:/var/app/server/tsconfig.build.json"
      - "../app/server/config:/var/app/config"
      - "../app/ui/src:/var/app/ui/src"
    env_file:
      - ../env/docker.env
      - ../env/docker.secrets.env
    environment:
      AUTHENTICATION_SERVICE_TYPE: authf
    depends_on:
      - elasticsearch

  elasticsearch:
    image: elasticsearch:7.17.1
    container_name: iam-zen_elasticsearch
    environment:
      - xpack.security.enabled=false
      - discovery.type=single-node
    ulimits:
      memlock:
        soft: -1
        hard: -1
      nofile:
        soft: 65536
        hard: 65536
    cap_add:
      - IPC_LOCK